Skip to main content
Employee / Packages

Calculate deduction per pay for a package item.

This method requires the PackageItems:CalculateDeductions permission to be associated with your role.

GET
/sp/package/items/{package_item_id}/calculate-deduction-per-pay
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
package_item_idstringrequired

Package Item Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
driver_idstringqueryrequired

Driver Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
total_deductionnumberqueryrequired

Total Deduction

Required range: 0 <= x <= 999999
cyclesintegerqueryrequired

Cycles

Required range: 0 <= x <= 9999
package_item_pay_cycle_idstringquery

(Optional) Package Item Pay Cycle Id. If not specified, will use package item default (if specified)

Maximum string length: 20
Pattern: ^[1-9]{1}[0-9]*$
compress_flagenum<string>query

(Optional) Compress. If not specified, will use package item default or 'no'

Available options: yes, no
inertia_flagenum<string>query

(Optional) Inertia. If not specified, will use package item default or 'no'

Available options: yes, no

Response

application/vnd.catch-e-api.v1+json

Success

compress_flagenum<string>
Available options: yes, no
cyclesinteger

Cycles

Example: 8
deduction_per_paynumber

Deduction Per Pay

Example: 75
driver_idstring
inertia_flagenum<string>
Available options: yes, no
package_item_idstring
package_item_pay_cycle_idstring
pay_cycle_idstring
total_deductionnumber

Total Deduction

Example: 600